import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import 'rxjs';
export declare class SharedService {
    private httpClient;
    testId: any;
    instanceId: any;
    assetImagePath: string;
    assetVideoPath: string;
    assetAudioPath: string;
    private hideShow;
    currentState: Observable<boolean>;
    private clearAnswer;
    currentAnswerState: Observable<boolean>;
    private userAnswer;
    userAnswerState: Observable<any>;
    private duplicateValue;
    duplicateValueState: Observable<any>;
    private validateAnswerValue;
    validateAnswerValueState: Observable<any>;
    private validateCompleteEntry;
    validateCompleteEntryState: Observable<any>;
    constructor(httpClient: HttpClient);
    showAnswer(state: boolean): void;
    hideAnswer(state: boolean): void;
    clearAnswerMethod(state: boolean): void;
    clearAnswerMethodFalse(state: boolean): void;
    userAnswerMethod(data: any): void;
    duplicateValueMethod(data: any): void;
    validateAnswerValueMethod(data: any): void;
    validateCompleteEntryMethod(data: any): void;
    changeToCamelCase(data: any): Observable<any[]>;
    convertTime(sec: any, type: any): string;
}
